# FilterChain Class Reference
[Data validation layer]

Chained Filtrator. More...

Inheritance diagram for FilterChain:
[legend]

List of all members.

## Public Member Functions

| add (Filtrator $filter)
| dropAll ()
| apply ($value)

## Static Public Member Functions

static | create ()

## Private Attributes

| $chain = array()

## Detailed Description

Chained Filtrator.

Definition at line 17 of file FilterChain.class.php.

## Member Function Documentation

FilterChain::add | ( | Filtrator $ | filter | ) |

Returns:
  FilterChain

Definition at line 32 of file FilterChain.class.php.

FilterChain::apply | ( | $ | value | ) |

Implements Filtrator.

Definition at line 47 of file FilterChain.class.php.

static FilterChain::create | ( |  | ) | `[static]`

Returns:
  FilterChain

Definition at line 24 of file FilterChain.class.php.

Referenced by Filter::textImport().

FilterChain::dropAll | ( |  | ) |

Returns:
  FilterChain

Definition at line 41 of file FilterChain.class.php.

## Member Data Documentation

FilterChain::$chain = array()`[private]`

Definition at line 19 of file FilterChain.class.php.

The documentation for this class was generated from the following file:

- core/Form/Filters/FilterChain.class.php